Subject: RE: "Application failed to initialize (0xc0000022)"
From: "Gerald S. Williams" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 11 Oct 2002 17:40:25 -0400

Jason Tishler wrote:
> > Is it possible that this is an aspect of the dreaded "rebase" issue?
> 
> I don't think so.  If it was, then you would have experienced fork()
> failures with messages (not dialogs) like the following:

That was my initial impression also. But what could
cause that error? Given its nature, I'd be really
surprised if nobody else had run into it.

> Note that *you* are going to have to figure out "everything that needs
> to be rebased."  Sorry, but I can't really help you determine this
> because everyone's rebase needs are different.

I know where you're coming from, but there must be some
way to get them all, even if it's overkill. For example,
grep all of the DLLs that have ever been installed by
setup or by hand, list them in the file dlls.lst and do
"rebase [some options] $(cat dlls.lst)". Or is there
still a risk of damaging them that way? I think you can
get the setup-installed files from /etc/setup, right?

Thanks for the pointer. My main problem was that I had
somehow gotten a version of rebase that took different
parameters (it's not the Microsoft one--it may have come
from the KDE site). The version from your site is more
like what I expected.

I'm leaning towards doing the type of thing I mentioned
above, although I'm not very hopeful that it will solve
the problem.

Oh well, there's always WindowMaker. :-)

-Jerry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/